## vala 0.54.6

=== debian/changelog ===
vala (0.54.6-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 10 Jan 2022 10:16:42 -0500

vala (0.54.6-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 09 Jan 2022 10:50:48 +0100

vala (0.54.5-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 16 Dec 2021 09:37:25 +0100

vala (0.54.4-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 29 Nov 2021 12:48:12 +0100

vala (0.54.3-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 11 Nov 2021 17:07:10 +0100

vala (0.54.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Oct 2021 16:29:24 -0400

vala (0.54.2-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release

  [ Jeremy Bicha ]
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * debian/rules: Simplify a bit
  * Build-Depend on debhelper-compat 13

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Oct 2021 21:01:49 -0400

vala (0.54.1-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for 0.52 → 0.54
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 21 Sep 2021 13:08:33 +0200
