=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: vala
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastian Reichel <sre@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               libglib2.0-dev (>= 2.48),
               libgraphviz-dev (>= 2.16),
               bison (>= 2.3),
               flex,
               libdbus-1-dev <!nocheck>,
               dbus (>= 1.8) <!nocheck>,
               libgirepository1.0-dev <!nocheck>
Build-Depends-Indep: docbook-xml,
                     xsltproc
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/gnome-team/vala.git
Vcs-Browser: https://salsa.debian.org/gnome-team/vala
Homepage: https://wiki.gnome.org/Projects/Vala/

Package: libvalacodegen-0.54-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: valac-0.12, valac-0.14, valac-0.16, valac-0.18, valac-0.20,
           valac-0.22, valac-0.24, valac-0.26, valac-0.28, valac-0.30
Breaks: valac (<< 0.46.5-1.1~)
Replaces: valac (<< 0.46.5-1.1~)
Description: internal package for C# like language for the GObject system
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 This package contains the libvalacodegen shared library. It should not normally
 be used directly.

Package: valac-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         libvala-0.54-0 (= ${binary:Version}),
         libvalacodegen-0.54-0 (= ${binary:Version}),
         ${misc:Depends},
Conflicts: valac-0.12, valac-0.14, valac-0.16, valac-0.18, valac-0.20,
           valac-0.22, valac-0.24, valac-0.26, valac-0.28, valac-0.30
Breaks: valac (<< 0.46.5-1.1~)
Replaces: valac (<< 0.46.5-1.1~)
Description: internal package for C# like language for the GObject system
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 This particular package is an implementation detail of the vala packaging.
 It should not be installed directly and there should be no dependencies
 on it. Refer to the valac package instead.

Package: valac
Architecture: any
Depends: ${shlibs:Depends},
         libvala-0.54-0 (= ${binary:Version}),
         libvalacodegen-0.54-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.48),
         valac-0.54-vapi,
         valac-bin (= ${binary:Version}),
         ${misc:Depends}
Recommends: gcc
Conflicts: valac-0.12, valac-0.14, valac-0.16, valac-0.18, valac-0.20,
           valac-0.22, valac-0.24, valac-0.26, valac-0.28, valac-0.30
Description: C# like language for the GObject system
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 valac, the Vala compiler, is a self-hosting compiler that translates
 Vala source code into C source and header files.  It uses the GObject
 type system to create classes and interfaces declared in the Vala
 source code. This package also contains the vala-gen-introspect and
 vapigen binaries that will automatically generate Vala bindings.

Package: valac-0.54-vapi
Architecture: all
Depends: ${misc:Depends}
Provides: valac-vapi
Multi-Arch: foreign
Description: C# like language for the GObject system - vapi files
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 valac, the Vala compiler, is a self-hosting compiler that translates
 Vala source code into C source and header files.  It uses the GObject
 type system to create classes and interfaces declared in the Vala
 source code. This package also contains the vala-gen-introspect and
 vapigen binaries that will automatically generate Vala bindings.
 .
 This package contains the bundled vapi files, which make some
 common libraries available for vala development.

Package: vala-0.54-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: valac,
          devhelp
Provides: vala-doc
Section: doc
Multi-Arch: foreign
Description: C# like language for the GObject system - documentation
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 This package contains the Vala Reference Manual.

Package: libvala-0.54-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Section: libs
Multi-Arch: same
Description: C# like language for the GObject system - library
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 This library contains the parser used by valac. It can be used for
 building tools around Vala.

Package: libvala-0.54-dev
Architecture: any
Depends: ${misc:Depends},
         libvala-0.54-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.48)
Provides: libvala-dev
Section: libdevel
Multi-Arch: same
Description: C# like language for the GObject system - development headers
 Vala is a new programming language that aims to bring modern
 programming language features to GNOME developers without imposing
 any additional runtime requirements and without using a different ABI
 compared to applications and libraries written in C.
 .
 This package has the development library and headers for valac. These
 headers can be used for building tools around Vala.

Package: valadoc
Architecture: any
Depends: ${shlibs:Depends},
         libvaladoc-0.54-0 (= ${binary:Version}),
         libvalacodegen-0.54-0 (= ${binary:Version}),
         valac (= ${binary:Version}),
         ${misc:Depends}
Recommends: gtk-doc-tools
Multi-Arch: foreign
Description: API documentation generator for vala
 Valadoc is a documentation generator for generating API documentation
 in HTML format from Vala source code. It can be used for *.vala and
 *.vapi files.

Package: libvaladoc-0.54-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         libvala-0.54-0 (= ${binary:Version}),
         libvalacodegen-0.54-0 (= ${binary:Version}),
         ${misc:Depends},
         libvaladoc-0.54-data
Description: API documentation generator for vala (library)
 Valadoc is a documentation generator for generating API documentation
 in HTML format from Vala source code. It can be used for *.vala and
 *.vapi files.
 .
 This package contains the library used by valadoc.

Package: libvaladoc-0.54-data
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: API documentation generator for vala (data)
 Valadoc is a documentation generator for generating API documentation
 in HTML format from Vala source code. It can be used for *.vala and
 *.vapi files.
 .
 This package contains the icons used by valadoc.

Package: libvaladoc-0.54-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libvala-0.54-dev (= ${binary:Version}),
         libvaladoc-0.54-0 (= ${binary:Version}),
         libgraphviz-dev (>= 2.16)
Provides: libvaladoc-dev
Description: API documentation generator for vala (devel files)
 Valadoc is a documentation generator for generating API documentation
 in HTML format from Vala source code. It can be used for *.vala and
 *.vapi files.
 .
 This package contains the devel files for the valadoc library.
