=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

execute_before_dh_clean:
	rm -rf bootstrap

override_dh_autoreconf:
	# handle timestamp skew
	touch vala/vala.vala.stamp
	dh_autoreconf --as-needed

configure-bootstrap:
	dh_auto_configure --builddirectory=bootstrap/build

bootstrap: configure-bootstrap
	dh_auto_build --builddirectory=bootstrap/build
	dh_auto_install --builddirectory=bootstrap/build -- DESTDIR=$(CURDIR)/bootstrap/install

override_dh_auto_configure: bootstrap
	find -name '*.vala.stamp' -delete
	LD_LIBRARY_PATH="$(CURDIR)/bootstrap/install/usr/lib/$(DEB_HOST_MULTIARCH):$(CURDIR)/bootstrap/install/usr/lib/$(DEB_HOST_MULTIARCH)/vala-0.54:$$LD_LIBRARY_PATH" \
		dh_auto_configure -- \
			VALAC="$(CURDIR)/bootstrap/install/usr/bin/valac" \
			--enable-unversioned

override_dh_auto_build:
	LD_LIBRARY_PATH="$(CURDIR)/bootstrap/install/usr/lib/$(DEB_HOST_MULTIARCH):$(CURDIR)/bootstrap/install/usr/lib/$(DEB_HOST_MULTIARCH)/vala-0.54:$$LD_LIBRARY_PATH" \
		dh_auto_build

# Make testsuite failures non-fatal for these architectures. The DBus
# tests are failing there and an yet unknown reason.
NO_TESTSUITE_ARCHS := kfreebsd-i386 kfreebsd-amd64 hurd-i386

override_dh_auto_test:
ifeq ($(filter $(DEB_BUILD_ARCH),$(NO_TESTSUITE_ARCHS)),$(DEB_BUILD_ARCH))
	# do not run the tests under fakeroot, that breaks D-Bus
	-LD_PRELOAD= dh_auto_test
else
	LD_PRELOAD= dh_auto_test
endif

execute_after_dh_auto_install:
	find debian -name '*.la' -print -delete

override_dh_install-arch:
	dh_install
	printf '#!/bin/sh\nexec valac-0.54 "--cc=$${CC:-${DEB_HOST_GNU_TYPE}-gcc}" "--pkg-config=$${PKG_CONFIG:-${DEB_HOST_GNU_TYPE}-pkg-config}" "$$@"\n' > debian/valac/usr/bin/${DEB_HOST_GNU_TYPE}-valac-0.54
	chmod 755 debian/valac/usr/bin/${DEB_HOST_GNU_TYPE}-valac-0.54
	ln -s valac-0.54.1.gz debian/valac/usr/share/man/man1/${DEB_HOST_GNU_TYPE}-valac-0.54.1.gz
	ln -s ${DEB_HOST_GNU_TYPE}-valac-0.54 debian/valac/usr/bin/${DEB_HOST_GNU_TYPE}-valac
	ln -s ${DEB_HOST_GNU_TYPE}-valac-0.54.1.gz debian/valac/usr/share/man/man1/${DEB_HOST_GNU_TYPE}-valac.1.gz

override_dh_installdocs:
	dh_installdocs -A NEWS README README.md THANKS
