## vala 0.56.0

=== debian/changelog ===
vala (0.56.0-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 17 Mar 2022 12:19:32 +0100

vala (0.55.91-2) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 04 Mar 2022 15:00:05 +0100

vala (0.55.90-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 25 Feb 2022 17:18:14 +0100

vala (0.55.3-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream development release

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)
  * Drop lintian overrides for binary-or-shlib-defines-rpath, not needed
    anymore

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 10 Feb 2022 14:50:14 +0100
