=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
                libgirepository1.0-dev <!nocheck>
 Build-Depends-Indep: docbook-xml,
                      xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/gnome-team/vala.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/vala
 Homepage: https://wiki.gnome.org/Projects/Vala/
 
-Package: libvalacodegen-0.54-0
+Package: libvalacodegen-0.56-0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -45,8 +45,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
-         libvala-0.54-0 (= ${binary:Version}),
-         libvalacodegen-0.54-0 (= ${binary:Version}),
+         libvala-0.56-0 (= ${binary:Version}),
+         libvalacodegen-0.56-0 (= ${binary:Version}),
          ${misc:Depends},
 Conflicts: valac-0.12, valac-0.14, valac-0.16, valac-0.18, valac-0.20,
            valac-0.22, valac-0.24, valac-0.26, valac-0.28, valac-0.30
@@ -65,10 +65,10 @@
 Package: valac
 Architecture: any
 Depends: ${shlibs:Depends},
-         libvala-0.54-0 (= ${binary:Version}),
-         libvalacodegen-0.54-0 (= ${binary:Version}),
+         libvala-0.56-0 (= ${binary:Version}),
+         libvalacodegen-0.56-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.48),
-         valac-0.54-vapi,
+         valac-0.56-vapi,
          valac-bin (= ${binary:Version}),
          ${misc:Depends}
 Recommends: gcc
@@ -86,7 +86,7 @@
  source code. This package also contains the vala-gen-introspect and
  vapigen binaries that will automatically generate Vala bindings.
 
-Package: valac-0.54-vapi
+Package: valac-0.56-vapi
 Architecture: all
 Depends: ${misc:Depends}
 Provides: valac-vapi
@@ -106,7 +106,7 @@
  This package contains the bundled vapi files, which make some
  common libraries available for vala development.
 
-Package: vala-0.54-doc
+Package: vala-0.56-doc
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: valac,
@@ -122,7 +122,7 @@
  .
  This package contains the Vala Reference Manual.
 
-Package: libvala-0.54-0
+Package: libvala-0.56-0
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -137,10 +137,10 @@
  This library contains the parser used by valac. It can be used for
  building tools around Vala.
 
-Package: libvala-0.54-dev
+Package: libvala-0.56-dev
 Architecture: any
 Depends: ${misc:Depends},
-         libvala-0.54-0 (= ${binary:Version}),
+         libvala-0.56-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.48)
 Provides: libvala-dev
 Section: libdevel
@@ -157,8 +157,8 @@
 Package: valadoc
 Architecture: any
 Depends: ${shlibs:Depends},
-         libvaladoc-0.54-0 (= ${binary:Version}),
-         libvalacodegen-0.54-0 (= ${binary:Version}),
+         libvaladoc-0.56-0 (= ${binary:Version}),
+         libvalacodegen-0.56-0 (= ${binary:Version}),
          valac (= ${binary:Version}),
          ${misc:Depends}
 Recommends: gtk-doc-tools
@@ -168,15 +168,15 @@
  in HTML format from Vala source code. It can be used for *.vala and
  *.vapi files.
 
-Package: libvaladoc-0.54-0
+Package: libvaladoc-0.56-0
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
-         libvala-0.54-0 (= ${binary:Version}),
-         libvalacodegen-0.54-0 (= ${binary:Version}),
+         libvala-0.56-0 (= ${binary:Version}),
+         libvalacodegen-0.56-0 (= ${binary:Version}),
          ${misc:Depends},
-         libvaladoc-0.54-data
+         libvaladoc-0.56-data
 Description: API documentation generator for vala (library)
  Valadoc is a documentation generator for generating API documentation
  in HTML format from Vala source code. It can be used for *.vala and
@@ -184,7 +184,7 @@
  .
  This package contains the library used by valadoc.
 
-Package: libvaladoc-0.54-data
+Package: libvaladoc-0.56-data
 Section: misc
 Architecture: all
 Multi-Arch: foreign
@@ -196,13 +196,13 @@
  .
  This package contains the icons used by valadoc.
 
-Package: libvaladoc-0.54-dev
+Package: libvaladoc-0.56-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libvala-0.54-dev (= ${binary:Version}),
-         libvaladoc-0.54-0 (= ${binary:Version}),
+         libvala-0.56-dev (= ${binary:Version}),
+         libvaladoc-0.56-0 (= ${binary:Version}),
          libgraphviz-dev (>= 2.16)
 Provides: libvaladoc-dev
 Description: API documentation generator for vala (devel files)
