## vala 0.56.3

=== debian/changelog ===
vala (0.56.3-1~bpo11+1) bullseye-backports; urgency=medium

  * d/control.in: add Marc Leeman to Uploaders
  * d/control: add Marc Leeman to Uploaders

 -- Marc Leeman <m.leeman@televic.com>  Wed, 28 Sep 2022 15:56:07 +0200

vala (0.56.3-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 03 Sep 2022 15:04:15 +0200

vala (0.56.2-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Jul 2022 19:51:46 +0200

vala (0.56.1-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 27 Apr 2022 21:46:33 +0200
