=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastian Reichel <sre@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastian Reichel <sre@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>,
+            Marc Leeman <m.leeman@televic.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                libglib2.0-dev (>= 2.48),
