## vala 0.56.7

=== debian/changelog ===
vala (0.56.7-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 18 Apr 2023 11:23:04 +0200

vala (0.56.6-1) experimental; urgency=medium

  * New upstream release (LP: #2015245)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 04 Apr 2023 13:13:08 +0200

vala (0.56.5-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 25 Mar 2023 17:40:23 +0100

vala (0.56.4-3) experimental; urgency=medium

  * Loosen dependency on valac-0.56-vapi package to make lintian happy

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Feb 2023 22:40:23 +0100

vala (0.56.4-2) experimental; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Fix day-of-week for changelog entries 0.0.8-3, 0.0.8-1, 0.0.7-2.
  * Update standards version to 4.6.2, no changes needed.

  [ Rico Tzschichholz ]
  * Use strict internal dependency on valac-0.56-vapi package

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Feb 2023 15:27:37 +0100

vala (0.56.4-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 12 Feb 2023 16:15:49 +0100
