=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastian Reichel <sre@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>,
-            Marc Leeman <m.leeman@televic.com>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastian Reichel <sre@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                libglib2.0-dev (>= 2.48),
@@ -19,7 +18,7 @@
                libgirepository1.0-dev <!nocheck>
 Build-Depends-Indep: docbook-xml,
                      xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/gnome-team/vala.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/vala
 Homepage: https://wiki.gnome.org/Projects/Vala/
@@ -69,7 +68,7 @@
          libvala-0.56-0 (= ${binary:Version}),
          libvalacodegen-0.56-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.48),
-         valac-0.56-vapi,
+         valac-0.56-vapi (>= ${source:Version}),
          valac-bin (= ${binary:Version}),
          ${misc:Depends}
 Recommends: gcc
