## vala 0.56.9

=== debian/changelog ===
vala (0.56.9-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Jul 2023 16:24:43 -0400

vala (0.56.9-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 02 Jul 2023 13:29:03 +0200

vala (0.56.8-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 25 May 2023 11:04:48 +0200
