## vala 0.56.13

=== debian/changelog ===
vala (0.56.13-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 29 Aug 2023 21:10:36 +0200

vala (0.56.12-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 19 Aug 2023 15:02:51 +0200

vala (0.56.11-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 13 Aug 2023 12:40:24 +0200

vala (0.56.10-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 05 Aug 2023 18:07:49 +0200
