## vala 0.56.14

=== debian/changelog ===
vala (0.56.14-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release

  [ Jeremy Bícha ]
  * Stop using dh_gnome_clean and debian/control.in

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 13 Nov 2023 09:39:03 +0100
