## vala 0.56.16

=== debian/changelog ===
vala (0.56.16-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:02 +1100

vala (0.56.16-3) unstable; urgency=medium

  * Team upload
  * Reinstate valadoc on 32-bit non-x86

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 10:47:15 +0000

vala (0.56.16-2) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Add a pkg.vala.nographviz build-profile.
    This avoids a build-dependency loop: vala, graphviz, librsvg, vala.
    valadoc is rarely build-depended on, and mostly as Build-Depends-Indep
    or with <!nodoc>, so it seems like a good candidate for the place
    to break this cycle. (Closes: #1055530)

  [ Simon McVittie ]
  * Temporarily disable valadoc on 32-bit non-x86.
    This allows it to be re-bootstrapped for the 64-bit time_t transition.
  * d/p/vala-Correctly-use-Path.build_path.patch,
    d/rules: Search /usr/lib/MULTIARCH/gir-1.0 for GIR XML
    (Closes: #1060904)
  * d/control: Avoid build-depending on libgirepository1.0-dev.
    That package is not multi-arch friendly, and now that we search
    /usr/lib/MULTIARCH/gir-1.0, we no longer need it.

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Mar 2024 09:44:55 +0000

vala (0.56.16-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Mar 2024 11:57:04 +0100

vala (0.56.15-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 04 Mar 2024 18:12:06 +0100
