=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: vala
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
+               gir1.2-freedesktop <!nocheck>,
+               gir1.2-freedesktop-dev <!nocheck>,
+               gir1.2-glib-2.0 <!nocheck>,
+               gir1.2-glib-2.0-dev <!nocheck>,
+               gobject-introspection (>= 1.78.1-14~) <!nocheck>,
                libglib2.0-dev (>= 2.48),
-               libgraphviz-dev (>= 2.16),
+               libgraphviz-dev (>= 2.16) <!pkg.vala.nographviz>,
                bison (>= 2.3),
                flex,
                libdbus-1-dev <!nocheck>,
                dbus (>= 1.8) <!nocheck>,
-               libgirepository1.0-dev <!nocheck>
 Build-Depends-Indep: docbook-xml,
                      xsltproc
 Standards-Version: 4.6.2
@@ -152,6 +157,7 @@
 
 Package: valadoc
 Architecture: any
+Build-Profiles: <!pkg.vala.nographviz>
 Depends: ${shlibs:Depends},
          libvaladoc-0.56-0 (= ${binary:Version}),
          libvalacodegen-0.56-0 (= ${binary:Version}),
@@ -167,6 +173,7 @@
 Package: libvaladoc-0.56-0
 Section: libs
 Architecture: any
+Build-Profiles: <!pkg.vala.nographviz>
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          libvala-0.56-0 (= ${binary:Version}),
@@ -183,6 +190,7 @@
 Package: libvaladoc-0.56-data
 Section: misc
 Architecture: all
+Build-Profiles: <!pkg.vala.nographviz>
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: API documentation generator for vala (data)
@@ -195,6 +203,7 @@
 Package: libvaladoc-0.56-dev
 Section: libdevel
 Architecture: any
+Build-Profiles: <!pkg.vala.nographviz>
 Multi-Arch: same
 Depends: ${misc:Depends},
          libvala-0.56-dev (= ${binary:Version}),
