=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,14 @@
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 include /usr/share/dpkg/architecture.mk
+
+configure_options :=
+
+configure_options += GI_GIRDIR=/usr/lib/${DEB_HOST_MULTIARCH}/gir-1.0
+
+ifneq (,$(filter pkg.vala.nographviz,$(DEB_BUILD_PROFILES)))
+configure_options += --disable-valadoc
+endif
 
 %:
 	dh $@
@@ -18,7 +26,8 @@
 	dh_autoreconf --as-needed
 
 configure-bootstrap:
-	dh_auto_configure --builddirectory=bootstrap/build
+	dh_auto_configure --builddirectory=bootstrap/build -- \
+		$(configure_options)
 
 bootstrap: configure-bootstrap
 	dh_auto_build --builddirectory=bootstrap/build
@@ -29,7 +38,8 @@
 	LD_LIBRARY_PATH="$(CURDIR)/bootstrap/install/usr/lib/$(DEB_HOST_MULTIARCH):$(CURDIR)/bootstrap/install/usr/lib/$(DEB_HOST_MULTIARCH)/vala-0.56:$$LD_LIBRARY_PATH" \
 		dh_auto_configure -- \
 			VALAC="$(CURDIR)/bootstrap/install/usr/bin/valac" \
-			--enable-unversioned
+			--enable-unversioned \
+			$(configure_options)
 
 override_dh_auto_build:
 	LD_LIBRARY_PATH="$(CURDIR)/bootstrap/install/usr/lib/$(DEB_HOST_MULTIARCH):$(CURDIR)/bootstrap/install/usr/lib/$(DEB_HOST_MULTIARCH)/vala-0.56:$$LD_LIBRARY_PATH" \
