## vala 0.56.17

=== debian/changelog ===
vala (0.56.17-1) unstable; urgency=medium

  * New upstream release
  * d/p/vala-Correctly-use-Path.build_path.patch:
    Dropped, it is included upstream

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 19 Apr 2024 13:13:38 +0200
