=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vala
 Section: devel
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Rico Tzschichholz <ricotz@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gir1.2-freedesktop <!nocheck>,
@@ -11,14 +10,16 @@
                gir1.2-glib-2.0-dev <!nocheck>,
                gobject-introspection (>= 1.78.1-14~) <!nocheck>,
                libglib2.0-dev (>= 2.48),
-               libgraphviz-dev (>= 2.16) <!pkg.vala.nographviz>,
+               libgraphviz-dev (>= 2.16) [!loong64] <!pkg.vala.nographviz>,
                bison (>= 2.3),
                flex,
                libdbus-1-dev <!nocheck>,
-               dbus (>= 1.8) <!nocheck>,
+               dbus-daemon (>= 1.8) <!nocheck>,
+               valac:native (>= 0.56) <cross>,
+               valac:native (<< 0.57~) <cross>,
 Build-Depends-Indep: docbook-xml,
                      xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/gnome-team/vala.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/vala
 Homepage: https://wiki.gnome.org/Projects/Vala/
@@ -28,10 +29,6 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Conflicts: valac-0.12, valac-0.14, valac-0.16, valac-0.18, valac-0.20,
-           valac-0.22, valac-0.24, valac-0.26, valac-0.28, valac-0.30
-Breaks: valac (<< 0.46.5-1.1~)
-Replaces: valac (<< 0.46.5-1.1~)
 Description: internal package for C# like language for the GObject system
  Vala is a new programming language that aims to bring modern programming
  language features to GNOME developers without imposing any additional
@@ -48,10 +45,8 @@
          libvala-0.56-0 (= ${binary:Version}),
          libvalacodegen-0.56-0 (= ${binary:Version}),
          ${misc:Depends},
-Conflicts: valac-0.12, valac-0.14, valac-0.16, valac-0.18, valac-0.20,
-           valac-0.22, valac-0.24, valac-0.26, valac-0.28, valac-0.30
-Breaks: valac (<< 0.46.5-1.1~)
-Replaces: valac (<< 0.46.5-1.1~)
+Breaks: valac (<< ${binary:Version})
+Replaces: valac (<< ${binary:Version})
 Description: internal package for C# like language for the GObject system
  Vala is a new programming language that aims to bring modern programming
  language features to GNOME developers without imposing any additional
@@ -64,6 +59,7 @@
 
 Package: valac
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          libvala-0.56-0 (= ${binary:Version}),
          libvalacodegen-0.56-0 (= ${binary:Version}),
@@ -71,9 +67,7 @@
          valac-0.56-vapi (>= ${source:Version}),
          valac-bin (= ${binary:Version}),
          ${misc:Depends}
-Recommends: gcc
-Conflicts: valac-0.12, valac-0.14, valac-0.16, valac-0.18, valac-0.20,
-           valac-0.22, valac-0.24, valac-0.26, valac-0.28, valac-0.30
+Recommends: gcc | gcc-for-host
 Description: C# like language for the GObject system
  Vala is a new programming language that aims to bring modern programming
  language features to GNOME developers without imposing any additional
@@ -109,8 +103,6 @@
 Package: vala-0.56-doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: valac,
-          devhelp
 Provides: vala-doc
 Section: doc
 Multi-Arch: foreign
@@ -155,7 +147,7 @@
  headers can be used for building tools around Vala.
 
 Package: valadoc
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppcc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sh4 sparc64 x32
 Build-Profiles: <!pkg.vala.nographviz>
 Depends: ${shlibs:Depends},
          libvaladoc-0.56-0 (= ${binary:Version}),
@@ -171,7 +163,7 @@
 
 Package: libvaladoc-0.56-0
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppcc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sh4 sparc64 x32
 Build-Profiles: <!pkg.vala.nographviz>
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -201,7 +193,7 @@
 
 Package: libvaladoc-0.56-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppcc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sh4 sparc64 x32
 Build-Profiles: <!pkg.vala.nographviz>
 Multi-Arch: same
 Depends: ${misc:Depends},
